package chaoran.business.engine;

/*
 **********************************************
 *      DATE           PERSON       REASON
 *    2021-02-05          FXY        Created
 **********************************************
 */

/**
 * 语音引擎
 */
public interface VoiceEngine extends SettingEngine {

    /**
     * 开始说话
     *
     * @param text
     */
    public void startSpeaking(String text);

    /**
     * 停止说话
     */
    public void stopSpeaking();

    /**
     * 重启
     */
    public void reload();

    /**
     * 销毁资源
     */
    public void destroy();
}
